<?php

if (!defined('ABSPATH')) {
    exit;
}

use BitApps\PiPro\Deps\BitApps\WPKit\Http\Router\Route;
use BitApps\PiPro\src\Integrations\FluentCrm\FluentCrmHelper;

Route::group(
    function () {
        Route::get('fluent-crm/tags', [FluentCrmHelper::class, 'getTags']);
        Route::get('fluent-crm/lists', [FluentCrmHelper::class, 'getList']);
        Route::get('fluent-crm/status', [FluentCrmHelper::class, 'getStatus']);
        Route::get('fluent-crm/companies', [FluentCrmHelper::class, 'getCompanies']);
        Route::get('fluent-crm/contact-fields', [FluentCrmHelper::class, 'getContactFields']);
        Route::get('fluent-crm/contact-custom-fields', [FluentCrmHelper::class, 'getContactCustomFields']);
        Route::get('fluent-crm/company-fields', [FluentCrmHelper::class, 'getCompaniesFields']);
        Route::get('fluent-crm/company-custom-fields', [FluentCrmHelper::class, 'getCompaniesCustomFields']);
    }
)->middleware('nonce:admin');
